# Alparser

[![Gem Version][fury-badge]][fury] [![Build Status][travis-badge]][travis]

Alparser is parser for Slovenian mountaineering pages.

## Installation

Add this line to your application's Gemfile:

    gem 'alparser'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install alparser

## Usage

```ruby
require "alparser"

page = Alparser.new "http://www.kozjak.org", parser: Alparser::Branc
puts page.club_climbs
```

## Supported pages

| Page                                        | Parser              | Implemented
| ------------------------------------------- | ------------------- | ------------
| [APD Kozjak](http://www.kozjak.org/)        | Alparser::Branc     | Yes
| [PD TAM](http://www.pdtam.org/)             | Alparser::Branc     | Yes
| [AO Celje](http://www.aocelje.org/)         | Alparser::Branc     | Yes
| [PD Grmada AO](http://ao.pdgrmada.org/)     | Alparser::Branc     | Yes
| [AlpHut](http://alphut.net/)                | Alparser::Branc     | Yes
| [Plezanje.net](http://plezanje.net/)        | Alparser::Plezanje  | Yes
| [Alpinizem.info](http://www.alpinizem.info/)| Alparser::Alpinizem | No

## Why?

This is highly experimental project. Purpose is to collect mountaineering data from Slovenia. Project is under MIT licence; feel free to use it.

- [Oto Brglez](http://otobrglez.opalab.com)

[fury-badge]: https://badge.fury.io/rb/alparser.png
[fury]: http://badge.fury.io/rb/alparser
[travis-badge]: https://secure.travis-ci.org/otobrglez/alparser.png?branch=master
[travis]: http://travis-ci.org/otobrglez/alparser

