require "spec_helper"

shared_examples "parser" do

  it { expect(subject).to respond_to :all_club_climbs }

  context "#all_club_climbs" do
    it { expect(subject.all_club_climbs).not_to be_empty }

    context ".first" do
      let!(:first){ subject.all_club_climbs.first }

      it { expect(first).to be_kind_of Alparser::Climb }

      it { expect(first).to respond_to :route }
      it { expect(first).to respond_to :mountain_range }
      it { expect(first).to respond_to :country }
      it { expect(first).to respond_to :country_id }
      it { expect(first).to respond_to :user }
      it { expect(first).to respond_to :kind }
      it { expect(first).to respond_to :has_notes, :has_images }

      it { expect(first.user).to be_kind_of Alparser::User }
      it { expect(first).to respond_to :user_id }
      it { expect(first).to respond_to :user_name }

      it { expect(first).to respond_to :base_uri }
      it { expect(first).to respond_to :f_id }
      it { expect(first.f_id).not_to be_nil }
    end
  end

  context "#number_of_pages" do
    before { subject.all_club_climbs }
    it { expect(subject.number_of_pages).not_to eq 0 }
  end

end
